Jump to content

  • Quick Navigation
Photo
- - - - -

Does FSSC 22000 v4.1 require ISO 22000:2005 or ISO 22000:2018?

iso 22000:2018

  • You cannot start a new topic
  • Please log in to reply
1 reply to this topic

#1 ombewamaurice

ombewamaurice

    Grade - AIFSQN

  • IFSQN Associate
  • 44 posts
  • 8 thanks
2
Neutral

  • Kenya
    Kenya
  • Gender:Male

Posted 15 February 2019 - 07:02 AM

Dear all,

 

Kindly advise if FSSC 22000 V 4.1 requires one to implement with ISO 22000: 2018 or you can still implement it with Iso 22000:2005?

 

Regards,

 

Maurice.



#2 erick.white

erick.white

    Grade - Active

  • IFSQN Active
  • 17 posts
  • 2 thanks
1
Neutral

  • Germany
    Germany

Posted 15 February 2019 - 10:34 AM

Hi,

 

FSSC 22000 V4.1 utilizes ISO 22000:2005. Information is taken from FSSC website in the comparison Excel sheet.

 

http://www.fssc22000...l-sep-2017.xlsx

 

You can find on the FSSC website that V5 will utilize the ISO22000/2018 standards.

 

Hope that helps,


Edited by erick.white, 15 February 2019 - 10:39 AM.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

EV SSL Certificate